Skip to main content
PUT
Update an existing session

Authorizations

Authorization
string
header
required

Provide your API key secret in the Authorization header

Path Parameters

eventId
string
required

Unique identifier of the event

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
sessionId
string
required

Unique identifier of the session

Body

application/json
title
string
required

Title of the session

Maximum string length: 500
Example:

"Maximize Your Potential: Strategies for Success in a Digital World"

startDateTime
string<date-time>
required

Start date time of the session

Minimum string length: 1
endDateTime
string<date-time>
required

End date time of the session.

Minimum string length: 1
description
string

Description of the session

Example:

"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>"

locationId
string<uuid>

ID of the in-person location for the session

Example:

"d812a64f-8865-4289-9024-9a120792c3d8"

availableSpots
integer<int32>
deprecated

Deprecated: use totalCapacity instead. Available Spots for an In-person session.

Example:

100

totalCapacity
integer<int32>

Total capacity configured for the session. Applies to in-person and hybrid sessions; ignored for virtual sessions. Takes precedence over the deprecated availableSpots if both are provided.

Example:

100

externalRefId
string

A reference ID that you can use to map this session to your external systems or databases

Example:

"d812a64f8865428990249a120792c3d8"

parentSessionId
string

Parent session ID of the session

Example:

"d812a64f8865428990249a120792c3d8"

tags
string[]

Tags for the session

Tags for the session

Example:

Response

Session updated successfully

kind
string
url
string<uri>
id
string<uuid>

Unique identifier of the session

Example:

"d5e31ba5-2d1e-4918-bb60-dd1514b4b397"

title
string

Name of the session

Example:

"Maximize Your Potential: Strategies for Success in a Digital World"

description
string

Description of the session

Example:

"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>"

startDateTime
string<date-time>

Start date time of the session

Example:

"2025-03-14T05:55:00Z"

endDateTime
string<date-time>

End date time of the session

Example:

"2025-03-14T05:55:00Z"

location
object[]

Location details of the session

speakers
object[]

Speakers of the session

sponsors
object[]

Sponsors of the session

tags
string[]

Tags of the session

Tags of the session

Example:
files
object[]

Files of the session

availableSpots
integer<int32>
deprecated

Deprecated: use totalCapacity instead. Number of available spots for the session.

Example:

100

totalCapacity
integer<int32>

Total capacity configured for the session. Applies to in-person and hybrid sessions; null for virtual sessions.

Example:

100

remainingCapacity
integer<int32>

Number of spots still open for new registrations (totalCapacity minus already-registered users). Applies to in-person and hybrid sessions with a configured capacity; null otherwise.

Example:

75

externalRefId
string

A reference ID that you can use to map this session to your external systems or databases

Example:

"d812a64f8865428990249a120792c3d8"

parentSessionId
string

Parent session ID of the session

Example:

"d812a64f8865428990249a120792c3d8"